/** Classe permettant de passer d'un joueur  un autre et de gagner si la pioche est vide
 * @author Caldoche
 */
import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.LayoutManager;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Observable;

import javax.swing.*;


public class ChangementDeJoueur extends JFrame {

		public Joueur joueur;
	
		////////////////////////////////////////////////////////
		//						Constructeur				  //
		////////////////////////////////////////////////////////
		
		// Le constructeur de cette classe est la seule mthode.
		
	public ChangementDeJoueur(Joueur j){
		// L'instance de ChangementDeJoueur est une fentre qui signale
		// au joueur que c'est  lui (ou  l'ordinateur de jouer).
		// Le joueur humain confirme en cliquant sur OK.
		// Si le joueur quitte la fentre de changement de joueur,
		// le jeu quitte.
		String title;
		// Une des deux conditions de victoire est place ici:
		if(Jeu.partie.pioche.size()==0){
			ChangementDeJoueur.this.dispose();
			Jeu.partie.joueurEnCours=null;
			Jeu.partie.finirPartie();
		}else{
			joueur= j;
			j.getDeck().mettreEnSurbrillance();
			if(j.humain){
				title = j.getNom()+" c'est  vous de jouer!";
			}else{title = "C'est au tour de "+j.getNom()+" maintenant.";}
			this.setTitle(title);
			JPanel infos = new JPanel();
			JPanel boutton = new JPanel();
			this.add(infos);
			this.add(boutton);
			infos.add(new JLabel(title));
			JButton ok = new JButton("Ok");
			boutton.add(ok);
			ok.addActionListener(new ActionListener(){
				public void actionPerformed(ActionEvent arg0) {
					Joueur j = ChangementDeJoueur.this.joueur;
					Jeu.partie.joueurEnCours=j;
					j.getMain().carteAPoser=null;
					j.getMain().joueurVise=null;
					// Les mthodes de tour de jeu sont differentes selon le type
					// de joueur (humain/ordi)
					if(j.humain){
						ChangementDeJoueur.this.dispose();
						// C'est dans la classe Joueur qu'est la mthode de tour de jeu.
						j.jouerTour();
					}else{
					ChangementDeJoueur.this.dispose();
					j.jouerTourIA();
					}
				}
			});
			
			this.setLayout(new FlowLayout());
			this.setLocation(300,500);
			this.setAlwaysOnTop(true);
			this.pack();
			this.setVisible(true);
		}
	}
}
